# Create folder Create a new folder in the workspace asset library. Folders are used to organize assets. The folder name must be unique within the workspace. Endpoint: POST /auth/workspace/{workspaceId}/assets/folder Version: 1.2.0 Security: ShuffllApiKey ## Path parameters: - `workspaceId` (string, required) Unique identifier for the workspace Example: "693fb82afd8d1c43077ba0fe" ## Request fields (application/json): - `newName` (string, required) Folder name (must be unique in the workspace) Example: "Campaign Assets" ## Response 200 fields (application/json): - `success` (boolean) Example: true ## Response 400 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request" ## Response 401 fields (application/problem+json): - `type` (string) Example: "object" - `title` (string) Example: "Validation failed" - `message` (string) Example: "Bad Request"